<?php
/*
 * 此文件用于验证隐私号服务API接口，供开发时参考
 * 执行验证前请确保文件为utf-8编码，并替换相应参数为您自己的信息，并取消相关调用的注释
 * 建议验证前先执行Test.php验证PHP环境
 *
 * 2017/11/30
 */

namespace Aliyun\DySDKLite\Pls\Demo;

require_once dirname(__DIR__) . "/SignatureHelper.php";

use Aliyun\DySDKLite\SignatureHelper;


// todo 接口定义，请先替换相应参数为您自己的信息

/**
 * AXB绑定
 */
function bindAxb() {

    $params = array ();

    // *** 需用户填写部分 ***
    // fixme 必填：是否启用https
    $security = false;

    // fixme 必填: 请参阅 https://ak-console.aliyun.com/ 取得您的AK信息
    $accessKeyId = "your access key id";
    $accessKeySecret = "your access key secret";

    // fixme 必填: 号池Key
    $params["PoolKey"] = "FC123456";

    // fixme 必填: AXB关系中的A号码
    $params["PhoneNoA"] = "15010101010";

    // fixme 必填: AXB关系中的B号码
    $params["PhoneNoB"] = "15020202020";

    // fixme 可选: 指定X号码进行绑定
    $params["PhoneNoX"] = "1700000000";

    // fixme 可选: 期望分配X号码归属的地市(省去地市后缀后的城市名称)
    $params["ExpectCity"] = "北京";

    // fixme 必填: 绑定关系对应的失效时间-不能早于当前系统时间
    $params["Expiration"] = "2017-09-08 17:00:00";

    // fixme 可选: 是否需要录制音频-默认是"false"
    $params["IsRecordingEnabled"] = "false";

    // fixme 可选: 外部业务自定义ID属性
    $params["OutId"] = "yourOutId";

    // *** 需用户填写部分结束, 以下代码若无必要无需更改 ***

    // 初始化SignatureHelper实例用于设置参数，签名以及发送请求
    $helper = new SignatureHelper();

    // 此处可能会抛出异常，注意catch
    $content = $helper->request(
        $accessKeyId,
        $accessKeySecret,
        "dyplsapi.aliyuncs.com",
        array_merge($params, array(
            "RegionId" => "cn-hangzhou",
            "Action" => "BindAxb",
            "Version" => "2017-05-25",
        )),
        $security
    );

    return $content;
}

ini_set("display_errors", "on"); // 显示错误提示，仅用于测试时排查问题
// error_reporting(E_ALL); // 显示所有错误提示，仅用于测试时排查问题
set_time_limit(0); // 防止脚本超时，仅用于测试使用，生产环境请按实际情况设置
header("Content-Type: text/plain; charset=utf-8"); // 输出为utf-8的文本格式，仅用于测试

// 验证AXB绑定(BindAxb)接口
print_r(bindAxb());
